Subject: Re: organizing multiple repositories with dependencies

From: <[email-masked]>
Date: Tue, 17 Apr 2012 12:51:02 -0500

Hilco Wijbenga <[email-masked]> writes:

> Another problem is branches. Branches are per submodule but you want
> them for all submodules.

Branches have a similar problem in git-subtree.  It is one of the things
I would like to improve in git-subtree going forward.  I don't see any
fundamental reason that some git-slave-like operations can't be included
in git-subtree, though with a slightly different model.

                                -Dave